Subject: Mo' Bettah Lemur Photos Onna Web

From: [email-masked] (Joel K. Furr)
Date: 27 Jan 1995 17:01:44 -0500

As promised, I've updated the Adopt-A-Lemur WWW page with color photos of
each adoptable species, with two pictures each of the slow lorises and
Coquerel's sifaka.  These are, of course, all animals who live at the Duke
University Primate Center in Durham, where they are bred to preserve
endangered species (just in case they wind up going extinct in the wild). 

So, if you were wondering what a particular species looks like, now you 
can find out.

Some of the pictures are whugglin' cute, like the brown lemur photo and 
the pygmy loris photo.

Now, if I can just get sounds up this weekend... :)

The URL for the Lemur Page is http://www.best.com/~jfurr/adopt.html.  You 
can look at the pictures even if you *don't* adopt. :)